/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Collection;
import javax.persistence.Basic;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToMany;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TGENECATALOGDETAIL")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tgenecatalogdetail.findAll", query = "SELECT t FROM Tgenecatalogdetail t"),
    @NamedQuery(name = "Tgenecatalogdetail.findByCatalog", query = "SELECT t FROM Tgenecatalogdetail t WHERE t.tgenecatalogdetailPK.catalog = :catalog"),
    @NamedQuery(name = "Tgenecatalogdetail.findByCatalogcode", query = "SELECT t FROM Tgenecatalogdetail t WHERE t.tgenecatalogdetailPK.catalogcode = :catalogcode"),
    @NamedQuery(name = "Tgenecatalogdetail.findByRecordversion", query = "SELECT t FROM Tgenecatalogdetail t WHERE t.recordversion = :recordversion"),
    @NamedQuery(name = "Tgenecatalogdetail.findByDescription", query = "SELECT t FROM Tgenecatalogdetail t WHERE t.description = :description"),
    @NamedQuery(name = "Tgenecatalogdetail.findByLegalcode", query = "SELECT t FROM Tgenecatalogdetail t WHERE t.legalcode = :legalcode")})
public class Tgenecatalogdetail implements Serializable {

    private static final long serialVersionUID = 1L;
    @EmbeddedId
    protected TgenecatalogdetailPK tgenecatalogdetailPK;
    @Column(name = "RECORDVERSION")
    private BigInteger recordversion;
    @Basic(optional = false)
    @Column(name = "DESCRIPTION")
    private String description;
    @Column(name = "LEGALCODE")
    private String legalcode;
    @ManyToMany(mappedBy = "tgenecatalogdetailCollection")
    private Collection<Tarmtramite> tarmtramiteCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tarmsolicitudagenciasucursal> tarmsolicitudagenciasucursalCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail")
    private Collection<Tgenedenomination> tgenedenominationCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustcompanyclient> tcustcompanyclientCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail")
    private Collection<Tgenenotaccountingday> tgenenotaccountingdayCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tsafeuserdetail> tsafeuserdetailCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustpersondetail> tcustpersondetailCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail1")
    private Collection<Tcustpersondetail> tcustpersondetailCollection1;
    @OneToMany(mappedBy = "tgenecatalogdetail2")
    private Collection<Tcustpersondetail> tcustpersondetailCollection2;
    @OneToMany(mappedBy = "tgenecatalogdetail3")
    private Collection<Tcustpersondetail> tcustpersondetailCollection3;
    @OneToMany(mappedBy = "tgenecatalogdetail4")
    private Collection<Tcustpersondetail> tcustpersondetailCollection4;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustpersonaddress> tcustpersonaddressCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustpeopleloan> tcustpeopleloanCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail1")
    private Collection<Tcustpeopleloan> tcustpeopleloanCollection1;
    @OneToMany(mappedBy = "tgenecatalogdetail2")
    private Collection<Tcustpeopleloan> tcustpeopleloanCollection2;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail")
    private Collection<Tgenechargesgroup> tgenechargesgroupCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail")
    private Collection<Tgenebaserate> tgenebaserateCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustpeopleotherassets> tcustpeopleotherassetsCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tarmdocumentohabilitante> tarmdocumentohabilitanteCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tarmtipoarmaexplosivo> tarmtipoarmaexplosivoCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail1")
    private Collection<Tarmtipoarmaexplosivo> tarmtipoarmaexplosivoCollection1;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tarmarmas> tarmarmasCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail1")
    private Collection<Tarmarmas> tarmarmasCollection1;
    @OneToMany(mappedBy = "tgenecatalogdetail2")
    private Collection<Tarmarmas> tarmarmasCollection2;
    @OneToMany(mappedBy = "tgenecatalogdetail3")
    private Collection<Tarmarmas> tarmarmasCollection3;
    @OneToMany(mappedBy = "tgenecatalogdetail4")
    private Collection<Tarmarmas> tarmarmasCollection4;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustpeoplefixedincome> tcustpeoplefixedincomeCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tarmtransaccionarmabodega> tarmtransaccionarmabodegaCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tarmsolicitudtramite> tarmsolicitudtramiteCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustbalanceaccount> tcustbalanceaccountCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail1")
    private Collection<Tcustbalanceaccount> tcustbalanceaccountCollection1;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail")
    private Collection<Tgeneprocess> tgeneprocessCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tarmmovimientoarmas> tarmmovimientoarmasCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tarmlectura> tarmlecturaCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tarmdocumentoalfresco> tarmdocumentoalfrescoCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustcompanyproducts> tcustcompanyproductsCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail")
    private Collection<Tgeneactivity> tgeneactivityCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail")
    private Collection<Tcustpersonparametersid> tcustpersonparametersidCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustpeopleincome> tcustpeopleincomeCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail")
    private Collection<Tgeneratesgroup> tgeneratesgroupCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustpeopleaditionaldata> tcustpeopleaditionaldataCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail1")
    private Collection<Tcustpeopleaditionaldata> tcustpeopleaditionaldataCollection1;
    @OneToMany(mappedBy = "tgenecatalogdetail2")
    private Collection<Tcustpeopleaditionaldata> tcustpeopleaditionaldataCollection2;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tbpmnotify> tbpmnotifyCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail")
    private Collection<Tgenechargescheckbook> tgenechargescheckbookCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustpeople> tcustpeopleCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail1")
    private Collection<Tcustpeople> tcustpeopleCollection1;
    @OneToMany(mappedBy = "tgenecatalogdetail2")
    private Collection<Tcustpeople> tcustpeopleCollection2;
    @OneToMany(mappedBy = "tgenecatalogdetail3")
    private Collection<Tcustpeople> tcustpeopleCollection3;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustfamiliarllink> tcustfamiliarllinkCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustpersonbankreference> tcustpersonbankreferenceCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail1")
    private Collection<Tcustpersonbankreference> tcustpersonbankreferenceCollection1;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustcompanyprovider> tcustcompanyproviderCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustlegallink> tcustlegallinkCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail")
    private Collection<Tcustcompanymanagers> tcustcompanymanagersCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustpeopleexpenses> tcustpeopleexpensesCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail")
    private Collection<Tarmtramite> tarmtramiteCollection1;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail1")
    private Collection<Tarmtramite> tarmtramiteCollection2;
    @OneToMany(mappedBy = "tgenecatalogdetail2")
    private Collection<Tarmtramite> tarmtramiteCollection3;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail3")
    private Collection<Tarmtramite> tarmtramiteCollection4;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail4")
    private Collection<Tarmtramite> tarmtramiteCollection5;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail5")
    private Collection<Tarmtramite> tarmtramiteCollection6;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail6")
    private Collection<Tarmtramite> tarmtramiteCollection7;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail7")
    private Collection<Tarmtramite> tarmtramiteCollection8;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tarmdecomisoarma> tarmdecomisoarmaCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail1")
    private Collection<Tarmdecomisoarma> tarmdecomisoarmaCollection1;
    @OneToMany(mappedBy = "tgenecatalogdetail2")
    private Collection<Tarmdecomisoarma> tarmdecomisoarmaCollection2;
    @OneToMany(mappedBy = "tgenecatalogdetail3")
    private Collection<Tarmdecomisoarma> tarmdecomisoarmaCollection3;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustpeopletradereferences> tcustpeopletradereferencesCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tarmsitioalmacenamiento> tarmsitioalmacenamientoCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustpersonbalance> tcustpersonbalanceCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail1")
    private Collection<Tcustpersonbalance> tcustpersonbalanceCollection1;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustpeoplevehicle> tcustpeoplevehicleCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail1")
    private Collection<Tcustpeoplevehicle> tcustpeoplevehicleCollection1;
    @JoinColumn(name = "CATALOGCODE", referencedColumnName = "CATALOGCODE", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Tgenecatalog tgenecatalog;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tarmcomerciantecupo> tarmcomerciantecupoCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tarmcoladeimpresion> tarmcoladeimpresionCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustpersonphone> tcustpersonphoneCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail")
    private Collection<Tgenesegmentrate> tgenesegmentrateCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustpersonpersonalreference> tcustpersonpersonalreferenceCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail")
    private Collection<Tgenecatalogdetaildesc> tgenecatalogdetaildescCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail")
    private Collection<Tarmunidadtipo> tarmunidadtipoCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail1")
    private Collection<Tarmunidadtipo> tarmunidadtipoCollection1;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail2")
    private Collection<Tarmunidadtipo> tarmunidadtipoCollection2;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tarmordentrabajocustodios> tarmordentrabajocustodiosCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tarmevaluacion> tarmevaluacionCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail1")
    private Collection<Tarmevaluacion> tarmevaluacionCollection1;
    @OneToMany(mappedBy = "tgenecatalogdetail2")
    private Collection<Tarmevaluacion> tarmevaluacionCollection2;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tarmagenciasucursal> tarmagenciasucursalCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail1")
    private Collection<Tarmagenciasucursal> tarmagenciasucursalCollection1;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tarmdecomiso> tarmdecomisoCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail1")
    private Collection<Tarmdecomiso> tarmdecomisoCollection1;
    @OneToMany(mappedBy = "tgenecatalogdetail2")
    private Collection<Tarmdecomiso> tarmdecomisoCollection2;
    @OneToMany(mappedBy = "tgenecatalogdetail3")
    private Collection<Tarmdecomiso> tarmdecomisoCollection3;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tarmpreguntas> tarmpreguntasCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail1")
    private Collection<Tarmpreguntas> tarmpreguntasCollection1;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tarmsolicitud> tarmsolicitudCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail1")
    private Collection<Tarmsolicitud> tarmsolicitudCollection1;
    @OneToMany(mappedBy = "tgenecatalogdetail2")
    private Collection<Tarmsolicitud> tarmsolicitudCollection2;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tarmtotalpersona> tarmtotalpersonaCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustpeoplerealassets> tcustpeoplerealassetsCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustpeoplejob> tcustpeoplejobCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail1")
    private Collection<Tcustpeoplejob> tcustpeoplejobCollection1;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tcustcompany> tcustcompanyCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail1")
    private Collection<Tcustcompany> tcustcompanyCollection1;
    @OneToMany(mappedBy = "tgenecatalogdetail2")
    private Collection<Tcustcompany> tcustcompanyCollection2;
    @OneToMany(mappedBy = "tgenecatalogdetail3")
    private Collection<Tcustcompany> tcustcompanyCollection3;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tarmregistroarmas> tarmregistroarmasCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail")
    private Collection<Tarmtiposancion> tarmtiposancionCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail1")
    private Collection<Tarmtiposancion> tarmtiposancionCollection1;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail2")
    private Collection<Tarmtiposancion> tarmtiposancionCollection2;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail3")
    private Collection<Tarmtiposancion> tarmtiposancionCollection3;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail4")
    private Collection<Tarmtiposancion> tarmtiposancionCollection4;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail5")
    private Collection<Tarmtiposancion> tarmtiposancionCollection5;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tgenecatalogdetail")
    private Collection<Tgenecurrencyrategroup> tgenecurrencyrategroupCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail")
    private Collection<Tarmcustodiatemporal> tarmcustodiatemporalCollection;
    @OneToOne(mappedBy = "tgenecatalogdetail")
    private Tarmcentrocontrol tarmcentrocontrol;
    @OneToMany(mappedBy = "tgenecatalogdetail1")
    private Collection<Tarmcentrocontrol> tarmcentrocontrolCollection;
    @OneToMany(mappedBy = "tgenecatalogdetail2")
    private Collection<Tarmcentrocontrol> tarmcentrocontrolCollection1;

    public Tgenecatalogdetail() {
    }

    public Tgenecatalogdetail(TgenecatalogdetailPK tgenecatalogdetailPK) {
        this.tgenecatalogdetailPK = tgenecatalogdetailPK;
    }

    public Tgenecatalogdetail(TgenecatalogdetailPK tgenecatalogdetailPK, String description) {
        this.tgenecatalogdetailPK = tgenecatalogdetailPK;
        this.description = description;
    }

    public Tgenecatalogdetail(String catalog, String catalogcode) {
        this.tgenecatalogdetailPK = new TgenecatalogdetailPK(catalog, catalogcode);
    }

    public TgenecatalogdetailPK getTgenecatalogdetailPK() {
        return tgenecatalogdetailPK;
    }

    public void setTgenecatalogdetailPK(TgenecatalogdetailPK tgenecatalogdetailPK) {
        this.tgenecatalogdetailPK = tgenecatalogdetailPK;
    }

    public BigInteger getRecordversion() {
        return recordversion;
    }

    public void setRecordversion(BigInteger recordversion) {
        this.recordversion = recordversion;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getLegalcode() {
        return legalcode;
    }

    public void setLegalcode(String legalcode) {
        this.legalcode = legalcode;
    }

    @XmlTransient
    public Collection<Tarmtramite> getTarmtramiteCollection() {
        return tarmtramiteCollection;
    }

    public void setTarmtramiteCollection(Collection<Tarmtramite> tarmtramiteCollection) {
        this.tarmtramiteCollection = tarmtramiteCollection;
    }

    @XmlTransient
    public Collection<Tarmsolicitudagenciasucursal> getTarmsolicitudagenciasucursalCollection() {
        return tarmsolicitudagenciasucursalCollection;
    }

    public void setTarmsolicitudagenciasucursalCollection(Collection<Tarmsolicitudagenciasucursal> tarmsolicitudagenciasucursalCollection) {
        this.tarmsolicitudagenciasucursalCollection = tarmsolicitudagenciasucursalCollection;
    }

    @XmlTransient
    public Collection<Tgenedenomination> getTgenedenominationCollection() {
        return tgenedenominationCollection;
    }

    public void setTgenedenominationCollection(Collection<Tgenedenomination> tgenedenominationCollection) {
        this.tgenedenominationCollection = tgenedenominationCollection;
    }

    @XmlTransient
    public Collection<Tcustcompanyclient> getTcustcompanyclientCollection() {
        return tcustcompanyclientCollection;
    }

    public void setTcustcompanyclientCollection(Collection<Tcustcompanyclient> tcustcompanyclientCollection) {
        this.tcustcompanyclientCollection = tcustcompanyclientCollection;
    }

    @XmlTransient
    public Collection<Tgenenotaccountingday> getTgenenotaccountingdayCollection() {
        return tgenenotaccountingdayCollection;
    }

    public void setTgenenotaccountingdayCollection(Collection<Tgenenotaccountingday> tgenenotaccountingdayCollection) {
        this.tgenenotaccountingdayCollection = tgenenotaccountingdayCollection;
    }

    @XmlTransient
    public Collection<Tsafeuserdetail> getTsafeuserdetailCollection() {
        return tsafeuserdetailCollection;
    }

    public void setTsafeuserdetailCollection(Collection<Tsafeuserdetail> tsafeuserdetailCollection) {
        this.tsafeuserdetailCollection = tsafeuserdetailCollection;
    }

    @XmlTransient
    public Collection<Tcustpersondetail> getTcustpersondetailCollection() {
        return tcustpersondetailCollection;
    }

    public void setTcustpersondetailCollection(Collection<Tcustpersondetail> tcustpersondetailCollection) {
        this.tcustpersondetailCollection = tcustpersondetailCollection;
    }

    @XmlTransient
    public Collection<Tcustpersondetail> getTcustpersondetailCollection1() {
        return tcustpersondetailCollection1;
    }

    public void setTcustpersondetailCollection1(Collection<Tcustpersondetail> tcustpersondetailCollection1) {
        this.tcustpersondetailCollection1 = tcustpersondetailCollection1;
    }

    @XmlTransient
    public Collection<Tcustpersondetail> getTcustpersondetailCollection2() {
        return tcustpersondetailCollection2;
    }

    public void setTcustpersondetailCollection2(Collection<Tcustpersondetail> tcustpersondetailCollection2) {
        this.tcustpersondetailCollection2 = tcustpersondetailCollection2;
    }

    @XmlTransient
    public Collection<Tcustpersondetail> getTcustpersondetailCollection3() {
        return tcustpersondetailCollection3;
    }

    public void setTcustpersondetailCollection3(Collection<Tcustpersondetail> tcustpersondetailCollection3) {
        this.tcustpersondetailCollection3 = tcustpersondetailCollection3;
    }

    @XmlTransient
    public Collection<Tcustpersondetail> getTcustpersondetailCollection4() {
        return tcustpersondetailCollection4;
    }

    public void setTcustpersondetailCollection4(Collection<Tcustpersondetail> tcustpersondetailCollection4) {
        this.tcustpersondetailCollection4 = tcustpersondetailCollection4;
    }

    @XmlTransient
    public Collection<Tcustpersonaddress> getTcustpersonaddressCollection() {
        return tcustpersonaddressCollection;
    }

    public void setTcustpersonaddressCollection(Collection<Tcustpersonaddress> tcustpersonaddressCollection) {
        this.tcustpersonaddressCollection = tcustpersonaddressCollection;
    }

    @XmlTransient
    public Collection<Tcustpeopleloan> getTcustpeopleloanCollection() {
        return tcustpeopleloanCollection;
    }

    public void setTcustpeopleloanCollection(Collection<Tcustpeopleloan> tcustpeopleloanCollection) {
        this.tcustpeopleloanCollection = tcustpeopleloanCollection;
    }

    @XmlTransient
    public Collection<Tcustpeopleloan> getTcustpeopleloanCollection1() {
        return tcustpeopleloanCollection1;
    }

    public void setTcustpeopleloanCollection1(Collection<Tcustpeopleloan> tcustpeopleloanCollection1) {
        this.tcustpeopleloanCollection1 = tcustpeopleloanCollection1;
    }

    @XmlTransient
    public Collection<Tcustpeopleloan> getTcustpeopleloanCollection2() {
        return tcustpeopleloanCollection2;
    }

    public void setTcustpeopleloanCollection2(Collection<Tcustpeopleloan> tcustpeopleloanCollection2) {
        this.tcustpeopleloanCollection2 = tcustpeopleloanCollection2;
    }

    @XmlTransient
    public Collection<Tgenechargesgroup> getTgenechargesgroupCollection() {
        return tgenechargesgroupCollection;
    }

    public void setTgenechargesgroupCollection(Collection<Tgenechargesgroup> tgenechargesgroupCollection) {
        this.tgenechargesgroupCollection = tgenechargesgroupCollection;
    }

    @XmlTransient
    public Collection<Tgenebaserate> getTgenebaserateCollection() {
        return tgenebaserateCollection;
    }

    public void setTgenebaserateCollection(Collection<Tgenebaserate> tgenebaserateCollection) {
        this.tgenebaserateCollection = tgenebaserateCollection;
    }

    @XmlTransient
    public Collection<Tcustpeopleotherassets> getTcustpeopleotherassetsCollection() {
        return tcustpeopleotherassetsCollection;
    }

    public void setTcustpeopleotherassetsCollection(Collection<Tcustpeopleotherassets> tcustpeopleotherassetsCollection) {
        this.tcustpeopleotherassetsCollection = tcustpeopleotherassetsCollection;
    }

    @XmlTransient
    public Collection<Tarmdocumentohabilitante> getTarmdocumentohabilitanteCollection() {
        return tarmdocumentohabilitanteCollection;
    }

    public void setTarmdocumentohabilitanteCollection(Collection<Tarmdocumentohabilitante> tarmdocumentohabilitanteCollection) {
        this.tarmdocumentohabilitanteCollection = tarmdocumentohabilitanteCollection;
    }

    @XmlTransient
    public Collection<Tarmtipoarmaexplosivo> getTarmtipoarmaexplosivoCollection() {
        return tarmtipoarmaexplosivoCollection;
    }

    public void setTarmtipoarmaexplosivoCollection(Collection<Tarmtipoarmaexplosivo> tarmtipoarmaexplosivoCollection) {
        this.tarmtipoarmaexplosivoCollection = tarmtipoarmaexplosivoCollection;
    }

    @XmlTransient
    public Collection<Tarmtipoarmaexplosivo> getTarmtipoarmaexplosivoCollection1() {
        return tarmtipoarmaexplosivoCollection1;
    }

    public void setTarmtipoarmaexplosivoCollection1(Collection<Tarmtipoarmaexplosivo> tarmtipoarmaexplosivoCollection1) {
        this.tarmtipoarmaexplosivoCollection1 = tarmtipoarmaexplosivoCollection1;
    }

    @XmlTransient
    public Collection<Tarmarmas> getTarmarmasCollection() {
        return tarmarmasCollection;
    }

    public void setTarmarmasCollection(Collection<Tarmarmas> tarmarmasCollection) {
        this.tarmarmasCollection = tarmarmasCollection;
    }

    @XmlTransient
    public Collection<Tarmarmas> getTarmarmasCollection1() {
        return tarmarmasCollection1;
    }

    public void setTarmarmasCollection1(Collection<Tarmarmas> tarmarmasCollection1) {
        this.tarmarmasCollection1 = tarmarmasCollection1;
    }

    @XmlTransient
    public Collection<Tarmarmas> getTarmarmasCollection2() {
        return tarmarmasCollection2;
    }

    public void setTarmarmasCollection2(Collection<Tarmarmas> tarmarmasCollection2) {
        this.tarmarmasCollection2 = tarmarmasCollection2;
    }

    @XmlTransient
    public Collection<Tarmarmas> getTarmarmasCollection3() {
        return tarmarmasCollection3;
    }

    public void setTarmarmasCollection3(Collection<Tarmarmas> tarmarmasCollection3) {
        this.tarmarmasCollection3 = tarmarmasCollection3;
    }

    @XmlTransient
    public Collection<Tarmarmas> getTarmarmasCollection4() {
        return tarmarmasCollection4;
    }

    public void setTarmarmasCollection4(Collection<Tarmarmas> tarmarmasCollection4) {
        this.tarmarmasCollection4 = tarmarmasCollection4;
    }

    @XmlTransient
    public Collection<Tcustpeoplefixedincome> getTcustpeoplefixedincomeCollection() {
        return tcustpeoplefixedincomeCollection;
    }

    public void setTcustpeoplefixedincomeCollection(Collection<Tcustpeoplefixedincome> tcustpeoplefixedincomeCollection) {
        this.tcustpeoplefixedincomeCollection = tcustpeoplefixedincomeCollection;
    }

    @XmlTransient
    public Collection<Tarmtransaccionarmabodega> getTarmtransaccionarmabodegaCollection() {
        return tarmtransaccionarmabodegaCollection;
    }

    public void setTarmtransaccionarmabodegaCollection(Collection<Tarmtransaccionarmabodega> tarmtransaccionarmabodegaCollection) {
        this.tarmtransaccionarmabodegaCollection = tarmtransaccionarmabodegaCollection;
    }

    @XmlTransient
    public Collection<Tarmsolicitudtramite> getTarmsolicitudtramiteCollection() {
        return tarmsolicitudtramiteCollection;
    }

    public void setTarmsolicitudtramiteCollection(Collection<Tarmsolicitudtramite> tarmsolicitudtramiteCollection) {
        this.tarmsolicitudtramiteCollection = tarmsolicitudtramiteCollection;
    }

    @XmlTransient
    public Collection<Tcustbalanceaccount> getTcustbalanceaccountCollection() {
        return tcustbalanceaccountCollection;
    }

    public void setTcustbalanceaccountCollection(Collection<Tcustbalanceaccount> tcustbalanceaccountCollection) {
        this.tcustbalanceaccountCollection = tcustbalanceaccountCollection;
    }

    @XmlTransient
    public Collection<Tcustbalanceaccount> getTcustbalanceaccountCollection1() {
        return tcustbalanceaccountCollection1;
    }

    public void setTcustbalanceaccountCollection1(Collection<Tcustbalanceaccount> tcustbalanceaccountCollection1) {
        this.tcustbalanceaccountCollection1 = tcustbalanceaccountCollection1;
    }

    @XmlTransient
    public Collection<Tgeneprocess> getTgeneprocessCollection() {
        return tgeneprocessCollection;
    }

    public void setTgeneprocessCollection(Collection<Tgeneprocess> tgeneprocessCollection) {
        this.tgeneprocessCollection = tgeneprocessCollection;
    }

    @XmlTransient
    public Collection<Tarmmovimientoarmas> getTarmmovimientoarmasCollection() {
        return tarmmovimientoarmasCollection;
    }

    public void setTarmmovimientoarmasCollection(Collection<Tarmmovimientoarmas> tarmmovimientoarmasCollection) {
        this.tarmmovimientoarmasCollection = tarmmovimientoarmasCollection;
    }

    @XmlTransient
    public Collection<Tarmlectura> getTarmlecturaCollection() {
        return tarmlecturaCollection;
    }

    public void setTarmlecturaCollection(Collection<Tarmlectura> tarmlecturaCollection) {
        this.tarmlecturaCollection = tarmlecturaCollection;
    }

    @XmlTransient
    public Collection<Tarmdocumentoalfresco> getTarmdocumentoalfrescoCollection() {
        return tarmdocumentoalfrescoCollection;
    }

    public void setTarmdocumentoalfrescoCollection(Collection<Tarmdocumentoalfresco> tarmdocumentoalfrescoCollection) {
        this.tarmdocumentoalfrescoCollection = tarmdocumentoalfrescoCollection;
    }

    @XmlTransient
    public Collection<Tcustcompanyproducts> getTcustcompanyproductsCollection() {
        return tcustcompanyproductsCollection;
    }

    public void setTcustcompanyproductsCollection(Collection<Tcustcompanyproducts> tcustcompanyproductsCollection) {
        this.tcustcompanyproductsCollection = tcustcompanyproductsCollection;
    }

    @XmlTransient
    public Collection<Tgeneactivity> getTgeneactivityCollection() {
        return tgeneactivityCollection;
    }

    public void setTgeneactivityCollection(Collection<Tgeneactivity> tgeneactivityCollection) {
        this.tgeneactivityCollection = tgeneactivityCollection;
    }

    @XmlTransient
    public Collection<Tcustpersonparametersid> getTcustpersonparametersidCollection() {
        return tcustpersonparametersidCollection;
    }

    public void setTcustpersonparametersidCollection(Collection<Tcustpersonparametersid> tcustpersonparametersidCollection) {
        this.tcustpersonparametersidCollection = tcustpersonparametersidCollection;
    }

    @XmlTransient
    public Collection<Tcustpeopleincome> getTcustpeopleincomeCollection() {
        return tcustpeopleincomeCollection;
    }

    public void setTcustpeopleincomeCollection(Collection<Tcustpeopleincome> tcustpeopleincomeCollection) {
        this.tcustpeopleincomeCollection = tcustpeopleincomeCollection;
    }

    @XmlTransient
    public Collection<Tgeneratesgroup> getTgeneratesgroupCollection() {
        return tgeneratesgroupCollection;
    }

    public void setTgeneratesgroupCollection(Collection<Tgeneratesgroup> tgeneratesgroupCollection) {
        this.tgeneratesgroupCollection = tgeneratesgroupCollection;
    }

    @XmlTransient
    public Collection<Tcustpeopleaditionaldata> getTcustpeopleaditionaldataCollection() {
        return tcustpeopleaditionaldataCollection;
    }

    public void setTcustpeopleaditionaldataCollection(Collection<Tcustpeopleaditionaldata> tcustpeopleaditionaldataCollection) {
        this.tcustpeopleaditionaldataCollection = tcustpeopleaditionaldataCollection;
    }

    @XmlTransient
    public Collection<Tcustpeopleaditionaldata> getTcustpeopleaditionaldataCollection1() {
        return tcustpeopleaditionaldataCollection1;
    }

    public void setTcustpeopleaditionaldataCollection1(Collection<Tcustpeopleaditionaldata> tcustpeopleaditionaldataCollection1) {
        this.tcustpeopleaditionaldataCollection1 = tcustpeopleaditionaldataCollection1;
    }

    @XmlTransient
    public Collection<Tcustpeopleaditionaldata> getTcustpeopleaditionaldataCollection2() {
        return tcustpeopleaditionaldataCollection2;
    }

    public void setTcustpeopleaditionaldataCollection2(Collection<Tcustpeopleaditionaldata> tcustpeopleaditionaldataCollection2) {
        this.tcustpeopleaditionaldataCollection2 = tcustpeopleaditionaldataCollection2;
    }

    @XmlTransient
    public Collection<Tbpmnotify> getTbpmnotifyCollection() {
        return tbpmnotifyCollection;
    }

    public void setTbpmnotifyCollection(Collection<Tbpmnotify> tbpmnotifyCollection) {
        this.tbpmnotifyCollection = tbpmnotifyCollection;
    }

    @XmlTransient
    public Collection<Tgenechargescheckbook> getTgenechargescheckbookCollection() {
        return tgenechargescheckbookCollection;
    }

    public void setTgenechargescheckbookCollection(Collection<Tgenechargescheckbook> tgenechargescheckbookCollection) {
        this.tgenechargescheckbookCollection = tgenechargescheckbookCollection;
    }

    @XmlTransient
    public Collection<Tcustpeople> getTcustpeopleCollection() {
        return tcustpeopleCollection;
    }

    public void setTcustpeopleCollection(Collection<Tcustpeople> tcustpeopleCollection) {
        this.tcustpeopleCollection = tcustpeopleCollection;
    }

    @XmlTransient
    public Collection<Tcustpeople> getTcustpeopleCollection1() {
        return tcustpeopleCollection1;
    }

    public void setTcustpeopleCollection1(Collection<Tcustpeople> tcustpeopleCollection1) {
        this.tcustpeopleCollection1 = tcustpeopleCollection1;
    }

    @XmlTransient
    public Collection<Tcustpeople> getTcustpeopleCollection2() {
        return tcustpeopleCollection2;
    }

    public void setTcustpeopleCollection2(Collection<Tcustpeople> tcustpeopleCollection2) {
        this.tcustpeopleCollection2 = tcustpeopleCollection2;
    }

    @XmlTransient
    public Collection<Tcustpeople> getTcustpeopleCollection3() {
        return tcustpeopleCollection3;
    }

    public void setTcustpeopleCollection3(Collection<Tcustpeople> tcustpeopleCollection3) {
        this.tcustpeopleCollection3 = tcustpeopleCollection3;
    }

    @XmlTransient
    public Collection<Tcustfamiliarllink> getTcustfamiliarllinkCollection() {
        return tcustfamiliarllinkCollection;
    }

    public void setTcustfamiliarllinkCollection(Collection<Tcustfamiliarllink> tcustfamiliarllinkCollection) {
        this.tcustfamiliarllinkCollection = tcustfamiliarllinkCollection;
    }

    @XmlTransient
    public Collection<Tcustpersonbankreference> getTcustpersonbankreferenceCollection() {
        return tcustpersonbankreferenceCollection;
    }

    public void setTcustpersonbankreferenceCollection(Collection<Tcustpersonbankreference> tcustpersonbankreferenceCollection) {
        this.tcustpersonbankreferenceCollection = tcustpersonbankreferenceCollection;
    }

    @XmlTransient
    public Collection<Tcustpersonbankreference> getTcustpersonbankreferenceCollection1() {
        return tcustpersonbankreferenceCollection1;
    }

    public void setTcustpersonbankreferenceCollection1(Collection<Tcustpersonbankreference> tcustpersonbankreferenceCollection1) {
        this.tcustpersonbankreferenceCollection1 = tcustpersonbankreferenceCollection1;
    }

    @XmlTransient
    public Collection<Tcustcompanyprovider> getTcustcompanyproviderCollection() {
        return tcustcompanyproviderCollection;
    }

    public void setTcustcompanyproviderCollection(Collection<Tcustcompanyprovider> tcustcompanyproviderCollection) {
        this.tcustcompanyproviderCollection = tcustcompanyproviderCollection;
    }

    @XmlTransient
    public Collection<Tcustlegallink> getTcustlegallinkCollection() {
        return tcustlegallinkCollection;
    }

    public void setTcustlegallinkCollection(Collection<Tcustlegallink> tcustlegallinkCollection) {
        this.tcustlegallinkCollection = tcustlegallinkCollection;
    }

    @XmlTransient
    public Collection<Tcustcompanymanagers> getTcustcompanymanagersCollection() {
        return tcustcompanymanagersCollection;
    }

    public void setTcustcompanymanagersCollection(Collection<Tcustcompanymanagers> tcustcompanymanagersCollection) {
        this.tcustcompanymanagersCollection = tcustcompanymanagersCollection;
    }

    @XmlTransient
    public Collection<Tcustpeopleexpenses> getTcustpeopleexpensesCollection() {
        return tcustpeopleexpensesCollection;
    }

    public void setTcustpeopleexpensesCollection(Collection<Tcustpeopleexpenses> tcustpeopleexpensesCollection) {
        this.tcustpeopleexpensesCollection = tcustpeopleexpensesCollection;
    }

    @XmlTransient
    public Collection<Tarmtramite> getTarmtramiteCollection1() {
        return tarmtramiteCollection1;
    }

    public void setTarmtramiteCollection1(Collection<Tarmtramite> tarmtramiteCollection1) {
        this.tarmtramiteCollection1 = tarmtramiteCollection1;
    }

    @XmlTransient
    public Collection<Tarmtramite> getTarmtramiteCollection2() {
        return tarmtramiteCollection2;
    }

    public void setTarmtramiteCollection2(Collection<Tarmtramite> tarmtramiteCollection2) {
        this.tarmtramiteCollection2 = tarmtramiteCollection2;
    }

    @XmlTransient
    public Collection<Tarmtramite> getTarmtramiteCollection3() {
        return tarmtramiteCollection3;
    }

    public void setTarmtramiteCollection3(Collection<Tarmtramite> tarmtramiteCollection3) {
        this.tarmtramiteCollection3 = tarmtramiteCollection3;
    }

    @XmlTransient
    public Collection<Tarmtramite> getTarmtramiteCollection4() {
        return tarmtramiteCollection4;
    }

    public void setTarmtramiteCollection4(Collection<Tarmtramite> tarmtramiteCollection4) {
        this.tarmtramiteCollection4 = tarmtramiteCollection4;
    }

    @XmlTransient
    public Collection<Tarmtramite> getTarmtramiteCollection5() {
        return tarmtramiteCollection5;
    }

    public void setTarmtramiteCollection5(Collection<Tarmtramite> tarmtramiteCollection5) {
        this.tarmtramiteCollection5 = tarmtramiteCollection5;
    }

    @XmlTransient
    public Collection<Tarmtramite> getTarmtramiteCollection6() {
        return tarmtramiteCollection6;
    }

    public void setTarmtramiteCollection6(Collection<Tarmtramite> tarmtramiteCollection6) {
        this.tarmtramiteCollection6 = tarmtramiteCollection6;
    }

    @XmlTransient
    public Collection<Tarmtramite> getTarmtramiteCollection7() {
        return tarmtramiteCollection7;
    }

    public void setTarmtramiteCollection7(Collection<Tarmtramite> tarmtramiteCollection7) {
        this.tarmtramiteCollection7 = tarmtramiteCollection7;
    }

    @XmlTransient
    public Collection<Tarmtramite> getTarmtramiteCollection8() {
        return tarmtramiteCollection8;
    }

    public void setTarmtramiteCollection8(Collection<Tarmtramite> tarmtramiteCollection8) {
        this.tarmtramiteCollection8 = tarmtramiteCollection8;
    }

    @XmlTransient
    public Collection<Tarmdecomisoarma> getTarmdecomisoarmaCollection() {
        return tarmdecomisoarmaCollection;
    }

    public void setTarmdecomisoarmaCollection(Collection<Tarmdecomisoarma> tarmdecomisoarmaCollection) {
        this.tarmdecomisoarmaCollection = tarmdecomisoarmaCollection;
    }

    @XmlTransient
    public Collection<Tarmdecomisoarma> getTarmdecomisoarmaCollection1() {
        return tarmdecomisoarmaCollection1;
    }

    public void setTarmdecomisoarmaCollection1(Collection<Tarmdecomisoarma> tarmdecomisoarmaCollection1) {
        this.tarmdecomisoarmaCollection1 = tarmdecomisoarmaCollection1;
    }

    @XmlTransient
    public Collection<Tarmdecomisoarma> getTarmdecomisoarmaCollection2() {
        return tarmdecomisoarmaCollection2;
    }

    public void setTarmdecomisoarmaCollection2(Collection<Tarmdecomisoarma> tarmdecomisoarmaCollection2) {
        this.tarmdecomisoarmaCollection2 = tarmdecomisoarmaCollection2;
    }

    @XmlTransient
    public Collection<Tarmdecomisoarma> getTarmdecomisoarmaCollection3() {
        return tarmdecomisoarmaCollection3;
    }

    public void setTarmdecomisoarmaCollection3(Collection<Tarmdecomisoarma> tarmdecomisoarmaCollection3) {
        this.tarmdecomisoarmaCollection3 = tarmdecomisoarmaCollection3;
    }

    @XmlTransient
    public Collection<Tcustpeopletradereferences> getTcustpeopletradereferencesCollection() {
        return tcustpeopletradereferencesCollection;
    }

    public void setTcustpeopletradereferencesCollection(Collection<Tcustpeopletradereferences> tcustpeopletradereferencesCollection) {
        this.tcustpeopletradereferencesCollection = tcustpeopletradereferencesCollection;
    }

    @XmlTransient
    public Collection<Tarmsitioalmacenamiento> getTarmsitioalmacenamientoCollection() {
        return tarmsitioalmacenamientoCollection;
    }

    public void setTarmsitioalmacenamientoCollection(Collection<Tarmsitioalmacenamiento> tarmsitioalmacenamientoCollection) {
        this.tarmsitioalmacenamientoCollection = tarmsitioalmacenamientoCollection;
    }

    @XmlTransient
    public Collection<Tcustpersonbalance> getTcustpersonbalanceCollection() {
        return tcustpersonbalanceCollection;
    }

    public void setTcustpersonbalanceCollection(Collection<Tcustpersonbalance> tcustpersonbalanceCollection) {
        this.tcustpersonbalanceCollection = tcustpersonbalanceCollection;
    }

    @XmlTransient
    public Collection<Tcustpersonbalance> getTcustpersonbalanceCollection1() {
        return tcustpersonbalanceCollection1;
    }

    public void setTcustpersonbalanceCollection1(Collection<Tcustpersonbalance> tcustpersonbalanceCollection1) {
        this.tcustpersonbalanceCollection1 = tcustpersonbalanceCollection1;
    }

    @XmlTransient
    public Collection<Tcustpeoplevehicle> getTcustpeoplevehicleCollection() {
        return tcustpeoplevehicleCollection;
    }

    public void setTcustpeoplevehicleCollection(Collection<Tcustpeoplevehicle> tcustpeoplevehicleCollection) {
        this.tcustpeoplevehicleCollection = tcustpeoplevehicleCollection;
    }

    @XmlTransient
    public Collection<Tcustpeoplevehicle> getTcustpeoplevehicleCollection1() {
        return tcustpeoplevehicleCollection1;
    }

    public void setTcustpeoplevehicleCollection1(Collection<Tcustpeoplevehicle> tcustpeoplevehicleCollection1) {
        this.tcustpeoplevehicleCollection1 = tcustpeoplevehicleCollection1;
    }

    public Tgenecatalog getTgenecatalog() {
        return tgenecatalog;
    }

    public void setTgenecatalog(Tgenecatalog tgenecatalog) {
        this.tgenecatalog = tgenecatalog;
    }

    @XmlTransient
    public Collection<Tarmcomerciantecupo> getTarmcomerciantecupoCollection() {
        return tarmcomerciantecupoCollection;
    }

    public void setTarmcomerciantecupoCollection(Collection<Tarmcomerciantecupo> tarmcomerciantecupoCollection) {
        this.tarmcomerciantecupoCollection = tarmcomerciantecupoCollection;
    }

    @XmlTransient
    public Collection<Tarmcoladeimpresion> getTarmcoladeimpresionCollection() {
        return tarmcoladeimpresionCollection;
    }

    public void setTarmcoladeimpresionCollection(Collection<Tarmcoladeimpresion> tarmcoladeimpresionCollection) {
        this.tarmcoladeimpresionCollection = tarmcoladeimpresionCollection;
    }

    @XmlTransient
    public Collection<Tcustpersonphone> getTcustpersonphoneCollection() {
        return tcustpersonphoneCollection;
    }

    public void setTcustpersonphoneCollection(Collection<Tcustpersonphone> tcustpersonphoneCollection) {
        this.tcustpersonphoneCollection = tcustpersonphoneCollection;
    }

    @XmlTransient
    public Collection<Tgenesegmentrate> getTgenesegmentrateCollection() {
        return tgenesegmentrateCollection;
    }

    public void setTgenesegmentrateCollection(Collection<Tgenesegmentrate> tgenesegmentrateCollection) {
        this.tgenesegmentrateCollection = tgenesegmentrateCollection;
    }

    @XmlTransient
    public Collection<Tcustpersonpersonalreference> getTcustpersonpersonalreferenceCollection() {
        return tcustpersonpersonalreferenceCollection;
    }

    public void setTcustpersonpersonalreferenceCollection(Collection<Tcustpersonpersonalreference> tcustpersonpersonalreferenceCollection) {
        this.tcustpersonpersonalreferenceCollection = tcustpersonpersonalreferenceCollection;
    }

    @XmlTransient
    public Collection<Tgenecatalogdetaildesc> getTgenecatalogdetaildescCollection() {
        return tgenecatalogdetaildescCollection;
    }

    public void setTgenecatalogdetaildescCollection(Collection<Tgenecatalogdetaildesc> tgenecatalogdetaildescCollection) {
        this.tgenecatalogdetaildescCollection = tgenecatalogdetaildescCollection;
    }

    @XmlTransient
    public Collection<Tarmunidadtipo> getTarmunidadtipoCollection() {
        return tarmunidadtipoCollection;
    }

    public void setTarmunidadtipoCollection(Collection<Tarmunidadtipo> tarmunidadtipoCollection) {
        this.tarmunidadtipoCollection = tarmunidadtipoCollection;
    }

    @XmlTransient
    public Collection<Tarmunidadtipo> getTarmunidadtipoCollection1() {
        return tarmunidadtipoCollection1;
    }

    public void setTarmunidadtipoCollection1(Collection<Tarmunidadtipo> tarmunidadtipoCollection1) {
        this.tarmunidadtipoCollection1 = tarmunidadtipoCollection1;
    }

    @XmlTransient
    public Collection<Tarmunidadtipo> getTarmunidadtipoCollection2() {
        return tarmunidadtipoCollection2;
    }

    public void setTarmunidadtipoCollection2(Collection<Tarmunidadtipo> tarmunidadtipoCollection2) {
        this.tarmunidadtipoCollection2 = tarmunidadtipoCollection2;
    }

    @XmlTransient
    public Collection<Tarmordentrabajocustodios> getTarmordentrabajocustodiosCollection() {
        return tarmordentrabajocustodiosCollection;
    }

    public void setTarmordentrabajocustodiosCollection(Collection<Tarmordentrabajocustodios> tarmordentrabajocustodiosCollection) {
        this.tarmordentrabajocustodiosCollection = tarmordentrabajocustodiosCollection;
    }

    @XmlTransient
    public Collection<Tarmevaluacion> getTarmevaluacionCollection() {
        return tarmevaluacionCollection;
    }

    public void setTarmevaluacionCollection(Collection<Tarmevaluacion> tarmevaluacionCollection) {
        this.tarmevaluacionCollection = tarmevaluacionCollection;
    }

    @XmlTransient
    public Collection<Tarmevaluacion> getTarmevaluacionCollection1() {
        return tarmevaluacionCollection1;
    }

    public void setTarmevaluacionCollection1(Collection<Tarmevaluacion> tarmevaluacionCollection1) {
        this.tarmevaluacionCollection1 = tarmevaluacionCollection1;
    }

    @XmlTransient
    public Collection<Tarmevaluacion> getTarmevaluacionCollection2() {
        return tarmevaluacionCollection2;
    }

    public void setTarmevaluacionCollection2(Collection<Tarmevaluacion> tarmevaluacionCollection2) {
        this.tarmevaluacionCollection2 = tarmevaluacionCollection2;
    }

    @XmlTransient
    public Collection<Tarmagenciasucursal> getTarmagenciasucursalCollection() {
        return tarmagenciasucursalCollection;
    }

    public void setTarmagenciasucursalCollection(Collection<Tarmagenciasucursal> tarmagenciasucursalCollection) {
        this.tarmagenciasucursalCollection = tarmagenciasucursalCollection;
    }

    @XmlTransient
    public Collection<Tarmagenciasucursal> getTarmagenciasucursalCollection1() {
        return tarmagenciasucursalCollection1;
    }

    public void setTarmagenciasucursalCollection1(Collection<Tarmagenciasucursal> tarmagenciasucursalCollection1) {
        this.tarmagenciasucursalCollection1 = tarmagenciasucursalCollection1;
    }

    @XmlTransient
    public Collection<Tarmdecomiso> getTarmdecomisoCollection() {
        return tarmdecomisoCollection;
    }

    public void setTarmdecomisoCollection(Collection<Tarmdecomiso> tarmdecomisoCollection) {
        this.tarmdecomisoCollection = tarmdecomisoCollection;
    }

    @XmlTransient
    public Collection<Tarmdecomiso> getTarmdecomisoCollection1() {
        return tarmdecomisoCollection1;
    }

    public void setTarmdecomisoCollection1(Collection<Tarmdecomiso> tarmdecomisoCollection1) {
        this.tarmdecomisoCollection1 = tarmdecomisoCollection1;
    }

    @XmlTransient
    public Collection<Tarmdecomiso> getTarmdecomisoCollection2() {
        return tarmdecomisoCollection2;
    }

    public void setTarmdecomisoCollection2(Collection<Tarmdecomiso> tarmdecomisoCollection2) {
        this.tarmdecomisoCollection2 = tarmdecomisoCollection2;
    }

    @XmlTransient
    public Collection<Tarmdecomiso> getTarmdecomisoCollection3() {
        return tarmdecomisoCollection3;
    }

    public void setTarmdecomisoCollection3(Collection<Tarmdecomiso> tarmdecomisoCollection3) {
        this.tarmdecomisoCollection3 = tarmdecomisoCollection3;
    }

    @XmlTransient
    public Collection<Tarmpreguntas> getTarmpreguntasCollection() {
        return tarmpreguntasCollection;
    }

    public void setTarmpreguntasCollection(Collection<Tarmpreguntas> tarmpreguntasCollection) {
        this.tarmpreguntasCollection = tarmpreguntasCollection;
    }

    @XmlTransient
    public Collection<Tarmpreguntas> getTarmpreguntasCollection1() {
        return tarmpreguntasCollection1;
    }

    public void setTarmpreguntasCollection1(Collection<Tarmpreguntas> tarmpreguntasCollection1) {
        this.tarmpreguntasCollection1 = tarmpreguntasCollection1;
    }

    @XmlTransient
    public Collection<Tarmsolicitud> getTarmsolicitudCollection() {
        return tarmsolicitudCollection;
    }

    public void setTarmsolicitudCollection(Collection<Tarmsolicitud> tarmsolicitudCollection) {
        this.tarmsolicitudCollection = tarmsolicitudCollection;
    }

    @XmlTransient
    public Collection<Tarmsolicitud> getTarmsolicitudCollection1() {
        return tarmsolicitudCollection1;
    }

    public void setTarmsolicitudCollection1(Collection<Tarmsolicitud> tarmsolicitudCollection1) {
        this.tarmsolicitudCollection1 = tarmsolicitudCollection1;
    }

    @XmlTransient
    public Collection<Tarmsolicitud> getTarmsolicitudCollection2() {
        return tarmsolicitudCollection2;
    }

    public void setTarmsolicitudCollection2(Collection<Tarmsolicitud> tarmsolicitudCollection2) {
        this.tarmsolicitudCollection2 = tarmsolicitudCollection2;
    }

    @XmlTransient
    public Collection<Tarmtotalpersona> getTarmtotalpersonaCollection() {
        return tarmtotalpersonaCollection;
    }

    public void setTarmtotalpersonaCollection(Collection<Tarmtotalpersona> tarmtotalpersonaCollection) {
        this.tarmtotalpersonaCollection = tarmtotalpersonaCollection;
    }

    @XmlTransient
    public Collection<Tcustpeoplerealassets> getTcustpeoplerealassetsCollection() {
        return tcustpeoplerealassetsCollection;
    }

    public void setTcustpeoplerealassetsCollection(Collection<Tcustpeoplerealassets> tcustpeoplerealassetsCollection) {
        this.tcustpeoplerealassetsCollection = tcustpeoplerealassetsCollection;
    }

    @XmlTransient
    public Collection<Tcustpeoplejob> getTcustpeoplejobCollection() {
        return tcustpeoplejobCollection;
    }

    public void setTcustpeoplejobCollection(Collection<Tcustpeoplejob> tcustpeoplejobCollection) {
        this.tcustpeoplejobCollection = tcustpeoplejobCollection;
    }

    @XmlTransient
    public Collection<Tcustpeoplejob> getTcustpeoplejobCollection1() {
        return tcustpeoplejobCollection1;
    }

    public void setTcustpeoplejobCollection1(Collection<Tcustpeoplejob> tcustpeoplejobCollection1) {
        this.tcustpeoplejobCollection1 = tcustpeoplejobCollection1;
    }

    @XmlTransient
    public Collection<Tcustcompany> getTcustcompanyCollection() {
        return tcustcompanyCollection;
    }

    public void setTcustcompanyCollection(Collection<Tcustcompany> tcustcompanyCollection) {
        this.tcustcompanyCollection = tcustcompanyCollection;
    }

    @XmlTransient
    public Collection<Tcustcompany> getTcustcompanyCollection1() {
        return tcustcompanyCollection1;
    }

    public void setTcustcompanyCollection1(Collection<Tcustcompany> tcustcompanyCollection1) {
        this.tcustcompanyCollection1 = tcustcompanyCollection1;
    }

    @XmlTransient
    public Collection<Tcustcompany> getTcustcompanyCollection2() {
        return tcustcompanyCollection2;
    }

    public void setTcustcompanyCollection2(Collection<Tcustcompany> tcustcompanyCollection2) {
        this.tcustcompanyCollection2 = tcustcompanyCollection2;
    }

    @XmlTransient
    public Collection<Tcustcompany> getTcustcompanyCollection3() {
        return tcustcompanyCollection3;
    }

    public void setTcustcompanyCollection3(Collection<Tcustcompany> tcustcompanyCollection3) {
        this.tcustcompanyCollection3 = tcustcompanyCollection3;
    }

    @XmlTransient
    public Collection<Tarmregistroarmas> getTarmregistroarmasCollection() {
        return tarmregistroarmasCollection;
    }

    public void setTarmregistroarmasCollection(Collection<Tarmregistroarmas> tarmregistroarmasCollection) {
        this.tarmregistroarmasCollection = tarmregistroarmasCollection;
    }

    @XmlTransient
    public Collection<Tarmtiposancion> getTarmtiposancionCollection() {
        return tarmtiposancionCollection;
    }

    public void setTarmtiposancionCollection(Collection<Tarmtiposancion> tarmtiposancionCollection) {
        this.tarmtiposancionCollection = tarmtiposancionCollection;
    }

    @XmlTransient
    public Collection<Tarmtiposancion> getTarmtiposancionCollection1() {
        return tarmtiposancionCollection1;
    }

    public void setTarmtiposancionCollection1(Collection<Tarmtiposancion> tarmtiposancionCollection1) {
        this.tarmtiposancionCollection1 = tarmtiposancionCollection1;
    }

    @XmlTransient
    public Collection<Tarmtiposancion> getTarmtiposancionCollection2() {
        return tarmtiposancionCollection2;
    }

    public void setTarmtiposancionCollection2(Collection<Tarmtiposancion> tarmtiposancionCollection2) {
        this.tarmtiposancionCollection2 = tarmtiposancionCollection2;
    }

    @XmlTransient
    public Collection<Tarmtiposancion> getTarmtiposancionCollection3() {
        return tarmtiposancionCollection3;
    }

    public void setTarmtiposancionCollection3(Collection<Tarmtiposancion> tarmtiposancionCollection3) {
        this.tarmtiposancionCollection3 = tarmtiposancionCollection3;
    }

    @XmlTransient
    public Collection<Tarmtiposancion> getTarmtiposancionCollection4() {
        return tarmtiposancionCollection4;
    }

    public void setTarmtiposancionCollection4(Collection<Tarmtiposancion> tarmtiposancionCollection4) {
        this.tarmtiposancionCollection4 = tarmtiposancionCollection4;
    }

    @XmlTransient
    public Collection<Tarmtiposancion> getTarmtiposancionCollection5() {
        return tarmtiposancionCollection5;
    }

    public void setTarmtiposancionCollection5(Collection<Tarmtiposancion> tarmtiposancionCollection5) {
        this.tarmtiposancionCollection5 = tarmtiposancionCollection5;
    }

    @XmlTransient
    public Collection<Tgenecurrencyrategroup> getTgenecurrencyrategroupCollection() {
        return tgenecurrencyrategroupCollection;
    }

    public void setTgenecurrencyrategroupCollection(Collection<Tgenecurrencyrategroup> tgenecurrencyrategroupCollection) {
        this.tgenecurrencyrategroupCollection = tgenecurrencyrategroupCollection;
    }

    @XmlTransient
    public Collection<Tarmcustodiatemporal> getTarmcustodiatemporalCollection() {
        return tarmcustodiatemporalCollection;
    }

    public void setTarmcustodiatemporalCollection(Collection<Tarmcustodiatemporal> tarmcustodiatemporalCollection) {
        this.tarmcustodiatemporalCollection = tarmcustodiatemporalCollection;
    }

    public Tarmcentrocontrol getTarmcentrocontrol() {
        return tarmcentrocontrol;
    }

    public void setTarmcentrocontrol(Tarmcentrocontrol tarmcentrocontrol) {
        this.tarmcentrocontrol = tarmcentrocontrol;
    }

    @XmlTransient
    public Collection<Tarmcentrocontrol> getTarmcentrocontrolCollection() {
        return tarmcentrocontrolCollection;
    }

    public void setTarmcentrocontrolCollection(Collection<Tarmcentrocontrol> tarmcentrocontrolCollection) {
        this.tarmcentrocontrolCollection = tarmcentrocontrolCollection;
    }

    @XmlTransient
    public Collection<Tarmcentrocontrol> getTarmcentrocontrolCollection1() {
        return tarmcentrocontrolCollection1;
    }

    public void setTarmcentrocontrolCollection1(Collection<Tarmcentrocontrol> tarmcentrocontrolCollection1) {
        this.tarmcentrocontrolCollection1 = tarmcentrocontrolCollection1;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (tgenecatalogdetailPK != null ? tgenecatalogdetailPK.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tgenecatalogdetail)) {
            return false;
        }
        Tgenecatalogdetail other = (Tgenecatalogdetail) object;
        if ((this.tgenecatalogdetailPK == null && other.tgenecatalogdetailPK != null) || (this.tgenecatalogdetailPK != null && !this.tgenecatalogdetailPK.equals(other.tgenecatalogdetailPK))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tgenecatalogdetail[ tgenecatalogdetailPK=" + tgenecatalogdetailPK + " ]";
    }
    
}
